Bulk availability check
curl --request POST \
--url https://api.spirii.com/emsp/v1/locations/availability \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"location_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"token_id": "<string>",
"token_group_id": "<string>"
}
'import requests
url = "https://api.spirii.com/emsp/v1/locations/availability"
payload = {
"location_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"token_id": "<string>",
"token_group_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
location_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
token_id: '<string>',
token_group_id: '<string>'
})
};
fetch('https://api.spirii.com/emsp/v1/locations/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"locations": [
{
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"available_evses": 123,
"total_evses": 123
}
]
}{
"type": "about:blank",
"title": "Tenant not found",
"status": 404,
"detail": "No tenant exists with id 0192...c3.",
"instance": "/v1/tenant/profile",
"code": "tenant_not_found",
"trace_id": "abc123def456",
"timestamp": "2026-06-10T09:30:00.000Z",
"errors": [
{
"field": "workspace_id",
"code": "is_uuid",
"message": "workspace_id must be a UUID"
}
]
}{
"type": "about:blank",
"title": "Tenant not found",
"status": 404,
"detail": "No tenant exists with id 0192...c3.",
"instance": "/v1/tenant/profile",
"code": "tenant_not_found",
"trace_id": "abc123def456",
"timestamp": "2026-06-10T09:30:00.000Z",
"errors": [
{
"field": "workspace_id",
"code": "is_uuid",
"message": "workspace_id must be a UUID"
}
]
}{
"type": "about:blank",
"title": "Tenant not found",
"status": 404,
"detail": "No tenant exists with id 0192...c3.",
"instance": "/v1/tenant/profile",
"code": "tenant_not_found",
"trace_id": "abc123def456",
"timestamp": "2026-06-10T09:30:00.000Z",
"errors": [
{
"field": "workspace_id",
"code": "is_uuid",
"message": "workspace_id must be a UUID"
}
]
}POST
/
emsp
/
v1
/
locations
/
availability
Bulk availability check
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Response
Availability counts for each requested location.
Availability per visible location.
Show child attributes
Show child attributes
Was this page helpful?